### Constructor

# Gio EmblemedIcon new

since: 2.18

#### Declaration [src]

    GIcon*
    g_emblemed_icon_new (
      GIcon* icon,
      GEmblem* emblem
    )

#### Description [src]

Creates a new emblemed icon for `icon` with the emblem `emblem`.

Available since: 2.18

#### Parameters

`icon`

  Type: `GIcon`

  A `GIcon`.

  The data is owned by the caller of the function.

`emblem`

  Type: `GEmblem`

  A `GEmblem`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GEmblemedIcon`

A new `GIcon`.

The caller of the function takes ownership of the data, and is responsible for freeing it.